haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Struct

Description

Parsing of structs.

# Documentation

data Struct Source #

Constructors

Struct |

Fields

- structIsBoxed :: Bool
- structAllocationInfo :: AllocationInfo
- structTypeInit :: Maybe Text
- structCType :: Maybe Text
- structSize :: Int
- gtypeStructFor :: Maybe Name
- structIsDisguised :: Bool
- structForceVisible :: Bool
- structFields :: [Field]
- structMethods :: [Method]
- structDeprecated :: Maybe DeprecationInfo
- structDocumentation :: Documentation

#### Instances

Instances details

Show Struct Source # |
Instance details Defined in Data.GI.GIR.Struct Methods showsPrec :: Int -> Struct -> ShowS Source # show :: Struct -> String Source # showList :: [Struct] -> ShowS Source #

parseStruct :: Parser (Name, Struct) Source #